Subject: [Netconf] Shepherd review of draft-ietf-netconf-rfc7895bis

From: Mahesh Jethanandani <[email-masked]>
Date: Sun, 1 Apr 2018 20:39:23 -0700

Minor comments:

Should the revision statement in the YANG module be updated to reflect the actual date of publication of the RFC, or will it remain 2018-02-21?

Not so minor a comment:

1) I note at least one use of the lower case (“must”) in the document. Suggest either shifting any lower-case requirements to upper case or using https://tools.ietf.org/html/rfc8174 <https://tools.ietf.org/html/rfc8174> for the definition of requirements language. A Gen-ART review will look at some of the RFC 2119 language more critically.

2) A run to validate the example in the back of the document using yanglint revealed the following error. I could not validate if this was a tool issue, a tool use issue or a bug that needs looking at, as the error message is very cryptic and there are no references to any line numbers.

err : Module "ietf-yang-library" in another revision already implemented.
err : Module "ietf-yang-library" parsing failed.

3) A run of idnits reveals the following:

  Checking boilerplate required by RFC 5378 and the IETF Trust (see
  https://trustee.ietf.org/license-info):
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to https://www.ietf.org/id-info/1id-guidelines.txt:
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to https://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

     No issues found here.

  Miscellaneous warnings:
  ----------------------------------------------------------------------------

  == Line 282 has weird spacing: '...mespace    ine...'

  == Line 293 has weird spacing: '...mespace    ine…'

<I generally ignore this>

  == The document seems to lack the recommended RFC 2119 boilerplate, even if
     it appears to use RFC 2119 keywords. 

     (The document does seem to have the reference to RFC 2119 which the
     ID-Checklist requires).

<I see that you do reference RFC 2119, so do not know why this message. Either ways, see my other comment on the use of lower case “must” statement.>

  -- The document date (February 27, 2018) is 33 days in the past.  Is this
     intentional?

<Ignore>

  Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)

<If I am updating the document, I would update some of these references>
<But check one reference in particular with (**)>

  == Outdated reference: draft-ietf-netmod-revised-datastores has been
     published as RFC 8342

  ** Obsolete normative reference: RFC 6536 (Obsoleted by RFC 8341)

<Any reason we are referencing RFC 6536 still?>

  == Outdated reference: draft-ietf-i2rs-yang-network-topo has been published
     as RFC 8345

  == Outdated reference: A later version (-04) exists of
     draft-ietf-netconf-nmda-netconf-03

  == Outdated reference: A later version (-03) exists of
     draft-ietf-netconf-nmda-restconf-02

  == Outdated reference: draft-ietf-netmod-entity has been published as RFC 8348

  == Outdated reference: draft-ietf-netmod-rfc7223bis has been published as RFC
     8343

  == Outdated reference: draft-ietf-netmod-rfc7277bis has been published as RFC
     8344

  == Outdated reference: draft-ietf-netmod-rfc8022bis has been published as RFC
     8349

  == Outdated reference: A later version (-09) exists of
     draft-ietf-netmod-schema-mount-08

  == Outdated reference: draft-ietf-netmod-yang-tree-diagrams has been
     published as RFC 8340

     Summary: 1 error (**), 0 flaws (~~), 13 warnings (==), 1 comment (--).

Thanks

Mahesh Jethanandani
[email-masked]

---

From: Martin Bjorklund <[email-masked]>
Date: Fri, 06 Apr 2018 14:54:39 +0200 (CEST)

Hi,

Mahesh Jethanandani <[email-masked]> wrote:
> Minor comments:
> 
> Should the revision statement in the YANG module be updated to reflect
> the actual date of publication of the RFC, or will it remain
> 2018-02-21?

Yes, the module has the usual comment:

  // RFC Ed.: update the date below with the date of RFC publication
  // and remove this note.

> Not so minor a comment:
> 
> 1) I note at least one use of the lower case (“must”) in the
> document. Suggest either shifting any lower-case requirements to upper
> case or using https://tools.ietf.org/html/rfc8174
> <https://tools.ietf.org/html/rfc8174> for the definition of
> requirements language. A Gen-ART review will look at some of the RFC
> 2119 language more critically.

I will update the 2119/8174 boilerplate text, and use "MUST" instead
of "must" where appropriate.

But, in the Objective section we use a mix of "MUST" and "must".  I
think the correct thing to do is use "must" in this section.

> 2) A run to validate the example in the back of the document using
> yanglint revealed the following error. I could not validate if this
> was a tool issue, a tool use issue or a bug that needs looking at, as
> the error message is very cryptic and there are no references to any
> line numbers.
> 

This is a well-known yanglint problem.  The yanglint-people are aware
of this.

>   Checking nits according to
>   https://www.ietf.org/id-info/1id-guidelines.txt:
> <I see that you do reference RFC 2119, so do not know why this
> message. Either ways, see my other comment on the use of lower case
> “must” statement.>
> 

I will update the references.

Let me know if you want me to post an updated version of this document.

/martin

---

From: Mahesh Jethanandani <[email-masked]>
Date: Fri, 6 Apr 2018 09:21:07 -0700

Martin,

> On Apr 6, 2018, at 5:54 AM, Martin Bjorklund <[email-masked]> wrote:
> 
> Hi,
> 

Ok. 

I got a note from one of the ADs, on one of my other drafts, that it helps the RFC editor if the authors identify where all in the draft the particular edit needs to be applied.

> think the correct thing to do is use "must" in this section.

Agree. The point was to include the text from RFC8174 is to clarify the use of lower case “must” in the document.

> This is a well-known yanglint problem.  The yanglint-people are aware

Ok.

> Let me know if you want me to post an updated version of this document.

Please do.

Thanks

Mahesh Jethanandani
[email-masked]

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 09 Apr 2018 08:48:38 +0200 (CEST)

> > Let me know if you want me to post an updated version of this document.

Done!

/martin